accounts/urls.py
from django.urls import path
from . import views
from django.contrib.auth.views import LoginView, LogoutView

app_name = 'accounts'

urlpatterns = [
    path('', views.indexView, name='home'),
    path('dashboard/', views.dashboardView, name = 'dashboard' ),
    path('login/', LoginView.as_view(), name = 'login_url'), 
    path('register/', views.registerView, name = 'register_url'),
    path('logout/', LogoutView.as_view(next_page='accounts:dashboard'), name = 'logout'),
]

homepage/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path('', views.index, name='index'),
]

story9/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
    path('accounts/', include('accounts.urls', namespace='accounts')),
]

accounts/models.py
from django.db import models

# Create your models here.

homepage/models.py
from django.db import models

# Create your models here.

accounts/views.py
from django.shortcuts import render, redirect
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.decorators import login_required

# Create your views here.
def indexView(request): 
    return render(request, 'index.html')

@login_required
def dashboardView(request):
    return render(request, 'dashboard.html')

def registerView(request):
    if request.method == 'POST':
        form = UserCreationForm(request.POST)
        if form.is_valid():
            form.save()
            return redirect('accounts:login_url')
    else:
        form = UserCreationForm()

    return render(request, 'registration/register.html', {'form':form})

homepage/views.py
from django.shortcuts import render

def index(request):

    host = request.get_host()
    port = request.get_port()

    context = {
        'host':host,
        'port':port,
    }

    return render(request, 'home.html', context)

accounts/templates/dashboard.html
{% extends 'index.html' %}

{% block content %}
<div class="container mt-5">
    <div class="card p-5 text-center">
        <h1 style="color: white; opacity: 100%;" >Hello, <span style='color: rgba(27, 2, 253)'>{{ user.username }}</span></h1>
        <a style="color: white; opacity: 100%;" href="{% url 'accounts:home' %}" class="btn-outline-dark btn mt-5">Home</a>
    </div>
</div>
{% endblock %}


accounts/templates/index.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Andin's Authentication</title>
    <link href="https://fonts.googleapis.com/css?family=Manjari|Montserrat:300,400,500,600|Poppins:400,600|Pacifico|Open+Sans:300,400,600|Roboto:100,300,400,500,700,900|Monoton&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="{% static 'css/accountstyle.css' %}">
    <link rel="icon" href="{% static 'images/logo.png' %}" >
</head>
<body>
    
    {% block content %}
    <div class="container mt-5">
        <div class="card text-center p-5">
            <h1 style="color: white; opacity: 100%;">Wilkommen</h1>

            {% if user.is_authenticated %}
                <a style="color: white; opacity: 100%;" href="{% url 'accounts:dashboard' %}" class="btn-outline-dark btn mt-5">
                    Dashboard
                </a>
                <a style="color: white; opacity: 100%;" href="{% url 'accounts:logout' %}" class="btn-outline-dark btn mt-2">
                    Logout
                </a>
            {% else %}
                <a style="color: white; opacity: 100%;" href="{% url 'accounts:login_url' %}" class="btn-outline-dark btn mt-5">
                    Login
                </a>
                <a style="color: white; opacity: 100%;" href="{% url 'accounts:register_url' %}" class="btn-outline-dark btn mt-2">
                    Register
                </a>
            {% endif %}
        </div>
    </div>
    {% endblock %}

</body>
</html>

homepage/templates/home.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Andin's Authentication</title>
    <link href="https://fonts.googleapis.com/css?family=Manjari|Montserrat:300,400,500,600|Poppins:400,600|Pacifico|Open+Sans:300,400,600|Roboto:100,300,400,500,700,900|Monoton&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="{% static 'css/homepagestyle.css' %}">
    <link rel="icon" href="{% static 'images/logo.png' %}" >
</head>
<body>
    
    {% block content %}
    <div class="container mt-5">
        <div class="card text-center p-5">
            <h1 style="color: white; opacity: 100%;">Welcome to Andin's Story 9</h1>

            <a style="color: white; opacity: 100%;" href="{% url 'accounts:home' %}" class="btn btn-outline-dark mt-5">Enter now</a>
        </div>
    </div>

    <p style="color:aliceblue;">
        This website is served by:  <br>
        HOST: {{ host }}            <br>
        PORT: {{ port }}            
    </p>

    {% endblock %}

</body>
</html>